Bug 1006104 - Review Request: gqrx - Software defined radio receiver powered by GNU Radio and Qt
Review Request: gqrx - Software defined radio receiver powered by GNU Radio a...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eric Christensen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: DebugInfo
  Show dependency treegraph
 
Reported: 2013-09-09 23:02 EDT by Josh Bressers
Modified: 2014-03-05 00:09 EST (History)
8 users (show)

See Also:
Fixed In Version: gqrx-2.2.0-4.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-05 00:09:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sparks: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
License check (9.17 KB, text/plain)
2013-09-10 09:05 EDT, Eric Christensen
no flags Details

  None (edit)
Description Josh Bressers 2013-09-09 23:02:29 EDT
Spec URL: http://people.fedoraproject.org/~bressers/gqrx-review/gqrx.spec
SRPM URL: http://people.fedoraproject.org/~bressers/gqrx-review/gqrx-2.1_git_298_g0e78-1.fc19.src.rpm

Description: Gqrx is a software defined radio receiver powered by the GNU Radio SDR framework and the Qt graphical toolkit.

Fedora Account System Username: bressers
Comment 1 Josh Bressers 2013-09-09 23:04:21 EDT
As a note, the version is a bit odd, I'm using a modified version of how the package versions itself from git. I'm quite happy to use a more traditional snapshot versioning if needed, but found this quite clever and makes upgrading simple.
Comment 2 Christopher Meng 2013-09-10 05:40:17 EDT
Why not 2.2.0 from sf.net?
Comment 3 Christopher Meng 2013-09-10 05:42:11 EDT
Also a note before you upload 2.2.0 to here:

Use %qmake_qt4 instead of plain qmake_qt4.
Comment 4 Josh Bressers 2013-09-10 07:14:52 EDT
2.2.0 requires Gnuradio 3.5, this is a snapshot of the Gnuradio 3.6 branch. It's based off version 2.1, I'm unsure if it has all the changes 2.2 has. I've not made it that far into investigation.

Also, thanks for the %qmake_qt4 tip, I didn't know that macro existed.
Comment 5 Eric Christensen 2013-09-10 08:46:17 EDT
SPEC says license is GPLv3+ but I also found some BSD-licensed pieces:
/dsp/agc_impl.cpp
/qtgui/freqctrl.cpp
/qtgui/meter.cpp
/qtgui/meter.h
/qtgui/plotter.cpp

as well as some unlicensed pieces:
/dsp/afsk1200/costabf.c
/dsp/agc_impl.h
/input/fcdctl/hid-libusb.c
/input/fcdctl/hidapi.h
/input/fcdctl/hidmac.c
/input/fcdctl/hidraw.c
/input/fcdctl/hidwin.c
/qtgui/freqctrl.h
/qtgui/plotter.h
/qtgui/qtcolorpicker.cpp
/qtgui/qtcolorpicker.h
Comment 6 Eric Christensen 2013-09-10 09:05:01 EDT
Created attachment 795996 [details]
License check
Comment 7 Eric Christensen 2013-09-10 09:05:21 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[!]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "BSD (2 clause)", "GPL
     (v3 or later)", "Unknown or generated". 11 files have unknown license.
     Detailed output of licensecheck in
     /home/echriste/1006104-gqrx/licensecheck.txt
[!]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 51200 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[?]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gqrx-2.1_git_298_g0e78-1.fc18.x86_64.rpm
gqrx.x86_64: W: no-manual-page-for-binary gqrx
1 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint gqrx
gqrx.x86_64: W: no-manual-page-for-binary gqrx
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
gqrx (rpmlib, GLIBC filtered):
    libQtCore.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libboost_program_options.so.1.50.0()(64bit)
    libboost_system.so.1.50.0()(64bit)
    libc.so.6()(64bit)
    libfftw3f.so.3()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libgnuradio-core-3.6.5.so.0.0.0()(64bit)
    libgnuradio-osmosdr-0.0.1git.so.0.0.0()(64bit)
    libgruel-3.6.5.so.0.0.0()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpulse-simple.so.0()(64bit)
    libpulse-simple.so.0(PULSE_0)(64bit)
    libpulse.so.0()(64bit)
    libpulse.so.0(PULSE_0)(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
gqrx:
    gqrx
    gqrx(x86-64)



Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -b 1006104
Comment 8 Alexandru Csete 2013-09-10 17:52:08 EDT
Hello,

As the author of gqrx I do not recommend packaging any 2.1 development snapshots from the 3.6 branch. Gqrx 2.2 is newer and requires GNU Radio 3.7 (not 3.5 as stated above).

The 2.1-series were random snapshots made available only because of the long development time. 2.2 is the only officially supported release since 2.0. There will be no updates for the 2.1-series.

I hope at some point you can upgrade to GNU Radio 3.7 - for sure that will piss off many users who depend on GNU Radio 3.6, but you can then package gqrx 2.2 or any later version.
Comment 9 Christopher Meng 2013-09-10 21:17:09 EDT
GNU Radio 3.7.1 is already pushed to rawhide ad f20, so reporter please resubmit a new spec/SRPM with issues fixed.
Comment 10 Josh Bressers 2013-09-11 13:32:17 EDT
Thank you for the update. I'd confused myself it would seem.

I'll fix this up for F20 in the near future.
Comment 11 Christopher Meng 2013-11-08 08:38:07 EST
ping after 2 months.
Comment 12 Christopher Meng 2014-01-07 05:20:02 EST
ping after 2 months.
Comment 13 Ken 2014-01-14 15:36:21 EST
FYI, gqrx 2.2.0 compiles and runs fine on fc20 now (now that gr-osmosdr is fixed)
Comment 15 Christopher Meng 2014-02-07 19:50:20 EST
1. Missing BR: desktop-file-utils

2. GNURadio 3.7.2 is only pushed to f20+, and %_pkgdocdir macro is only available from f20+, so you don't need to do that trick in %files.

3. Changelog hasn't been bumped.
Comment 17 Christopher Meng 2014-02-07 21:50:20 EST
Please await Eric ;)

Another potential issue:

%{_datadir}/applications/gqrx.desktop
%{_datadir}/pixmaps/radio.svg

I think that radio is a popular word, it may causes collison with other pics, is it ok to rename it to gqrx.svg(please check after the renaming the program can display logo correctly if it really does that)?
Comment 18 Christopher Meng 2014-02-07 21:51:48 EST
Also, 

%qmake_qt4 PREFIX=/usr

/usr should be replaced by %{_prefix}.
Comment 19 Christopher Meng 2014-02-07 21:56:15 EST
Reported to upstream:

https://github.com/csete/gqrx/issues/150
Comment 20 Alexandru Csete 2014-02-08 04:38:10 EST
(In reply to Christopher Meng from comment #17)
> Please await Eric ;)
> 
> Another potential issue:
> 
> %{_datadir}/applications/gqrx.desktop
> %{_datadir}/pixmaps/radio.svg
> 
> I think that radio is a popular word, it may causes collison with other
> pics, is it ok to rename it to gqrx.svg(please check after the renaming the
> program can display logo correctly if it really does that)?

It's ok to rename the icon as long as it's done when copying it to %{_datadir}/pixmaps/ and the file name in the source tree remains unchanged (the icons are compiled into the binary).

Upstream I will create a gqrx.svg for future releases; however, please note the since version 2.2 the application icon/logo is the file called scope.svg, not radio.svg.
Comment 21 Josh Bressers 2014-02-08 21:10:42 EST
I'm using the proper icon now. I put it in /usr/share/gqrx rather than the pixmap directory. We can sort out the name later. I also fixed the issues noted above.

http://people.fedoraproject.org/~bressers/gqrx-review/gqrx.spec
http://people.fedoraproject.org/~bressers/gqrx-review/gqrx-2.2.0-3.fc20.src.rpm
Comment 22 purpleidea 2014-02-13 21:23:37 EST
FWIW, this works for me on F20. Nice work.
Comment 23 Eric Christensen 2014-02-15 22:25:03 EST
Spec file says license is GPLv3+ but there are some components that are GPLv2 and BSD licensed.

BSD (2 clause)
--------------
gqrx-2.2.0/dsp/agc_impl.cpp
gqrx-2.2.0/qtgui/freqctrl.cpp
gqrx-2.2.0/qtgui/meter.cpp
gqrx-2.2.0/qtgui/meter.h
gqrx-2.2.0/qtgui/plotter.cpp

GPL (v2 or later) (with incorrect FSF address)
----------------------------------------------
gqrx-2.2.0/dsp/afsk1200/cafsk12.cpp
gqrx-2.2.0/dsp/afsk1200/cafsk12.h
gqrx-2.2.0/dsp/afsk1200/filter-i386.h
gqrx-2.2.0/dsp/afsk1200/filter.h

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "BSD (2 clause)", "GPL
     (v3 or later)", "Unknown or generated". 6 files have unknown license.
     Detailed output of licensecheck in /tmp/1006104-gqrx/licensecheck.txt
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/gqrx
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gqrx
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[?]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gqrx-2.2.0-3.fc20.x86_64.rpm
          gqrx-2.2.0-3.fc20.src.rpm
gqrx.x86_64: W: no-manual-page-for-binary gqrx
gqrx.src:26: W: rpm-buildroot-usage %build make INSTALL_ROOT=%{buildroot} %{?_smp_mflags}
gqrx.src: W: invalid-url Source0: gqrx-2.2.0-src.tar.gz
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint gqrx
gqrx.x86_64: W: no-manual-page-for-binary gqrx
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
gqrx (rpmlib, GLIBC filtered):
    libQtCore.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libboost_program_options.so.1.54.0()(64bit)
    libboost_system.so.1.54.0()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libgnuradio-analog-3.7.2.1.so.0.0.0()(64bit)
    libgnuradio-blocks-3.7.2.1.so.0.0.0()(64bit)
    libgnuradio-fft-3.7.2.1.so.0.0.0()(64bit)
    libgnuradio-filter-3.7.2.1.so.0.0.0()(64bit)
    libgnuradio-osmosdr-0.1.1git.so.0.0.0()(64bit)
    libgnuradio-pmt-3.7.2.1.so.0.0.0()(64bit)
    libgnuradio-runtime-3.7.2.1.so.0.0.0()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpulse-simple.so.0()(64bit)
    libpulse-simple.so.0(PULSE_0)(64bit)
    libpulse.so.0()(64bit)
    libpulse.so.0(PULSE_0)(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
gqrx:
    gqrx
    gqrx(x86-64)
Comment 25 Christopher Meng 2014-02-21 01:09:20 EST
1. %{_datadir}/gqrx/scope.svg

It's better to put it under /usr/share/pixmaps, therefore no unowned directory issue.

2. Files underneath %{_pkgdocdir} will be marked as %doc automatically.

3. Source should be with URL unless you have some special reason.

4. ${RPM_BUILD_ROOT} & %{buildroot}?

As I've said many times before, if one enjoys brackets, please use the latter one. Don't blend.
Comment 26 Eric Christensen 2014-02-21 15:24:19 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "BSD (2 clause)", "GPL
     (v3 or later)", "Unknown or generated". 6 files have unknown license.
     Detailed output of licensecheck in /tmp/1006104-gqrx/licensecheck.txt
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/gqrx
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gqrx
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[?]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[?]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.

APPROVED
Comment 27 Josh Bressers 2014-02-21 15:31:34 EST
New Package SCM Request
=======================
Package Name: gqrx
Short Description: Software defined radio receiver powered by GNU Radio and Qt
Owners: bressers sparks
Branches: f20 epel7
InitialCC:
Comment 28 Gwyn Ciesla 2014-02-21 15:40:51 EST
Git done (by process-git-requests).
Comment 29 Fedora Update System 2014-02-21 16:28:44 EST
gqrx-2.2.0-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gqrx-2.2.0-4.fc20
Comment 30 Fedora Update System 2014-02-22 13:15:57 EST
gqrx-2.2.0-4.fc20 has been pushed to the Fedora 20 testing repository.
Comment 31 Ville Skyttä 2014-02-24 03:52:52 EST
(In reply to Eric Christensen from comment #23)
> [?]: Useful -debuginfo package or justification otherwise.

Why not evaluated? In this case, -debuginfo is not useful, quite probably because of this:

$ curl -s http://kojipkgs.fedoraproject.org//packages/gqrx/2.2.0/4.fc21/data/logs/x86_64/build.log | grep -wF strip | head -n 1
strip "/builddir/build/BUILDROOT/gqrx-2.2.0-4.fc21.x86_64/usr/bin/gqrx"
Comment 32 Fedora Update System 2014-03-05 00:09:53 EST
gqrx-2.2.0-4.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.